Manual do PHP
Anterior |  | Próxima

# finfo_buffer

(PECL)

finfo_buffer -- Return information about a string buffer

## Descrição

string finfo_buffer ( resource finfo, string string [, int options] )
class finfo {
string buffer ( string string [, int options] )
}

This function is used to get information about binary data in a string.

## Parâmetros

`finfo`

  Fileinfo resource returned by finfo_open().

`string`

  Content of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

## Valores de retornado

Returns a textual description of the `string` argument, or `FALSE` if an error occurred.

## Exemplos

Exemplo 1. A finfo_buffer() example
`<?php $finfo = new finfo(FILEINFO_MIME); echo $finfo->buffer($_POST["script"]) . "\n"; ?>`
O exemplo acima irá imprimir algo similar a:
    application/x-sh

## Veja também

finfo_file()

Anterior | Principal | Próxima
Fileinfo Functions | Acima | finfo_close